var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { checkNodeExist, getClassName } from '@react-devui/utils';
import { registerComponentMate } from '../../utils';
import { useComponentConfig, usePrefixConfig } from '../root';
const { COMPONENT_NAME } = registerComponentMate({ COMPONENT_NAME: 'DSeparator' });
export function DSeparator(props) {
    const _a = useComponentConfig(COMPONENT_NAME, props), { children, dTextAlign = 'left', dVertical = false } = _a, restProps = __rest(_a, ["children", "dTextAlign", "dVertical"]);
    //#region Context
    const dPrefix = usePrefixConfig();
    //#endregion
    return (_jsx("div", Object.assign({}, restProps, { className: getClassName(restProps.className, `${dPrefix}separator`, {
            [`${dPrefix}separator--text`]: children,
            [`${dPrefix}separator--text-${dTextAlign}`]: children,
            [`${dPrefix}separator--vertical`]: dVertical,
        }), role: "separator", "aria-orientation": dVertical ? 'vertical' : 'horizontal' }, { children: checkNodeExist(children) && _jsx("div", Object.assign({ className: `${dPrefix}separator__text` }, { children: children })) })));
}
